%define debug_package %{nil}

Name: libolecf
Version: 20160423
Release: 1%{?dist}
Summary: Library to access the Object Linking and Embedding (OLE) Compound File (CF) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1: %{name}-%{version}-patch-001
%endif
URL: http://code.google.com/p/libolecf/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
               
               

%description
libolecf is a library to access the Object Linking and Embedding (OLE) Compound File (CF) format

%package devel
Summary: Header files and libraries for developing applications for libolecf
Group: Development/Libraries
Requires: libolecf = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libolecf.

%package tools
Summary: Several tools for accessing the Object Linking and Embedding (OLE) Compound Files (CF)
Group: Applications/System
Requires: libolecf = %{version}-%{release}  fuse-libs
BuildRequires:  fuse-devel

%description tools
Several tools for accessing the Object Linking and Embedding (OLE) Compound Files (CF)

%package python
Summary: Python bindings for libolecf
Group: System Environment/Libraries
Requires: libolecf = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libolecf

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyolecf/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libolecf.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/olecfexport
%attr(755,root,root) %{_bindir}/olecfinfo
%attr(755,root,root) %{_bindir}/olecfmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Sat Apr 23 2016 Lawrence R. Rogers <lrr@cert.org> 20160423-1
* Release 20160423-1
	20160109
	* fixes for rpmbuild

* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support
	* 2016 update

* Wed Dec 23 2015 Lawrence R. Rogers <lrr@cert.org> 20151223-1
* Release 20151223-1
	20151223
	* worked on format support

	20151222
	* applied updates

	20151205
	* worked on Python bindings

	20150823
	* changed version for pypi repacking

	20150822
	* worked on setup.py

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150630-1
	20150630
	* Changed version

* Mon Jun 29 2015 Lawrence R. Rogers <lrr@cert.org> 20150629-1
* Release 20150629-1
	20150629
	* bug fixes after fuzzing with AFL

* Mon Jun  8 2015 Lawrence R. Rogers <lrr@cert.org> 20150608-1
* Release 20150608-1
	20150608
	* worked on format support

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150413-2
* Release 20150413-2
	Libuna GCC-5 Patch

* Mon Apr 13 2015 Lawrence R. Rogers <lrr@cert.org> 20150413-1
* Release 20150413-1
	20150413
	* improved support file without directory entries

	20150328
	* added more bounds checks

* Tue Jan  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141222
	* worked on Python 3 support

	20141221
	* worked on Python 3 support

	20141220
	* worked on Python 3 support
	* worked on tests

	20141219
	* worked on Python 3 support

	20141216
	* worked on Python 3 support

	20141130
	* code clean up

	20141119
	* code clean up

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

* Fri Oct 24 2014 Lawrence R. Rogers <lrr@cert.org> 20141024-1
* Release 20141024-1
	20141024
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20141004
	* bug fix in Python-bindings
	* update Python-bindings tests

	20140930
	* removed README.macosx
	* changes for project site move

	20140810
	* worked on libfwps support

* Fri Aug  1 2014 Lawrence R. Rogers <lrr@cert.org> 20140801-1
* Release 20140801-1
	20140801
	* bug fix in Python-bindings

	20140727
	* worked on olecfmount Dokan support

	20140726
	* updated dependencies

	20140329
	* small changes to Makefile

	20140323
	* worked on Python bindings

	20140317
	* worked on setup.py

	20140301
	* 2014 update
	* updated dependencies
	* worked on Python bindings

	20131209
	* updated dependencies

* Fri Nov  8 2013 Joachim Metz <joachim.metz@gmail.com> 20131108-1
- Auto-generated

